- Tax Identity Verifications
- List verifications
Tax Identity Verifications
List verifications
List the verification history of a tax entity, newest first.
GET
/v1/taxpayers/{taxpayerId}/tax-entities/{taxEntityId}/tax-identity-verifications
curl --request GET \
--url https://public-api.sandbox.remitian.com/v1/taxpayers/{taxpayerId}/tax-entities/{taxEntityId}/tax-identity-verifications \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>'
curl --request GET \
--url https://public-api.sandbox.remitian.com/v1/taxpayers/{taxpayerId}/tax-entities/{taxEntityId}/tax-identity-verifications \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>'Authorizations
bearerAuth
required
string
Access token from POST /v1/auth/token, sent as `Authorization: Bearer {accessToken}`.
Query Parameters
taxpayerId
required
string
Unique identifier of the taxpayer.
taxEntityId
required
string
Unique identifier of the tax entity.
taxAuthority
string
Tax authority code, for example US_IRS.
pageNumber
integer
Page to retrieve, starting at 1.
pageSize
integer
Items per page.
x-api-key
required
string
API key of your Client Application.
Response
application/json
200
400
401
403
404
OK
items
required
array
Verifications of the tax entity, newest first.
totalCount
required
integer
Total number of items across all pages.
totalPages
required
integer
Total number of pages.
currentPage
integer
Current page number.
pageSize
integer
Number of items per page.
curl --request GET \
--url https://public-api.sandbox.remitian.com/v1/taxpayers/{taxpayerId}/tax-entities/{taxEntityId}/tax-identity-verifications \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>'
curl --request GET \
--url https://public-api.sandbox.remitian.com/v1/taxpayers/{taxpayerId}/tax-entities/{taxEntityId}/tax-identity-verifications \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>'